Subject: Re: [PATCH net-next] net: mvpp2: Add parsing support for different IPv4 IHL values

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 13 Apr 2021 10:17:42 +0100

On Tue, Apr 13, 2021 at 11:45:31AM +0300, [email-masked] wrote:
> From: Stefan Chulski <[email-masked]>
> 
> Add parser entries for different IPv4 IHL values.
> Each entry will set the L4 header offset according to the IPv4 IHL field.
> L3 header offset will set during the parsing of the IPv4 protocol.

What is the impact of this commit? Is something broken at the moment,
if so what? Does this need to be backported to stable kernels?

These are key questions, of which the former two should be covered in
every commit message so that the reason for the change can be known.
It's no good just describing what is being changed in the commit without
also describing why the change is being made.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!